      subroutine nameTIME(itime,iter,ct1,ct2)
      character*2 ct1,ct2
      character*1 az(9)
      data az/'A','B','C','D','E','F','G','H','I'/
       if(iter.le.9)then
        ct1(1:1)='0'
        write(ct1(2:2),'(i1)') iter
       elseif(iter.le.99)then
        write(ct1(1:2),'(i2)') iter
       else
        nMM=iter-100
        nRR=int(nMM/10)
        nMM=nMM-10*nRR
        ct1(1:1)=az(nRR+1)
        write(ct1(2:2),'(i1)') nMM
       endif

       inext=iter+itime
       if(inext.le.9)then
        ct2(1:1)='0'
        write(ct2(2:2),'(i1)') inext
       elseif(inext.le.99)then
        write(ct2(1:2),'(i2)') inext
       else
        nMM=inext-100
        nRR=int(nMM/10)
        nMM=nMM-10*nRR
        ct2(1:1)=az(nRR+1)
        write(ct2(2:2),'(i1)') nMM
       endif
      return
      end
